<% session[:page_aide] = "today" %>

<% @last_service = nil %>
<% last_groupe = nil %>
<% last_utilisateur = nil %>
<% liste_tasks = Array.new %>
<% @hebdos.keys.each do |k| %>
    <% liste_tasks << k %>
<% end %>

<div class="container">

    <!-- TITRE & DATE DU JOUR -->
    <%= render partial: "jours/day/header_day"  %>
    
    <!-- Par service... -->
    <% @specific_day_jours.keys.each do |service| %>

        <!-- Changement de service -->
        <%= render partial: "jours/day/nom_service_day", locals: { service: service } %>


        <!-- Changement d'utilisateur -->
        <% @specific_day_jours[service].keys.each do |utilisateur| %>
            <% if utilisateur != last_utilisateur %>
                <% last_utilisateur = utilisateur %>
            <% end %>


            <!-- Dessine la boîte si utilisateur pas inactif -->
            <% unless utilisateur.inactive %>
                <div class="col-sm-4">
                    <%= render partial: "jours/day/box_day", locals: { 
                            specific_day_jour: @specific_day_jours[service][utilisateur],
                            utilisateur: utilisateur,
                            note: @specific_day_jours[service][utilisateur]["notes"],
                            task: @hebdos[utilisateur]
                        }
                    %>
                    <% liste_tasks.delete(utilisateur) %>
                </div>
            <% end %>
        <% end %>

        <!-- Autres tâches -->
        <% if liste_tasks.length > 0 %>
            <div class="col-sm-4 panel panel-warning">
                <p>Tasks : </p>
                <ul>
                    <% liste_tasks.each do |utilisateur| %>
                        <li>*<%= utilisateur.prenom_nom %>    
                            <% @hebdos[utilisateur].each do |h| %>
                                    <%= "<span class='label label-warning'
                                        data-toggle='tooltip' 
                                        title='#{h.first.last}'>
                                        #{link_to h.first.first, hebdos_path()}
                                        </span>&nbsp;".html_safe
                                    %>
                                    </span>
                            <% end %>
                        </li>
                    <% end %>
                </ul>
            </div>
        <% end %>
    <% end %>    
</div>
